io.netty.handler.codec.xml

## Class XmlProcessingInstruction

- java.lang.Object
- - io.netty.handler.codec.xml.XmlProcessingInstruction

    public class XmlProcessingInstruction
    extends Object

XML processing instruction

### Constructor Summary

Constructors
Constructor and Description
`XmlProcessingInstruction(String data, String target)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `data()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `target()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmlProcessingInstruction

    public XmlProcessingInstruction(String data,
                                    String target)

### Method Detail

#### data

    public String data()

#### target

    public String target()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`